# CreditCardScanningProgressConfiguration class

Configuration of visualization of the scanning progress - indeterminate progress.

## Constructors

CreditCardScanningProgressConfiguration.new({bool enabled = true, ScanbotColor? progressColor, int animationDuration = 1000})
CreditCardScanningProgressConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

animationDuration ↔ int
  The duration of a single scanning progress cycle animation in milliseconds.
  getter/setter pair
enabled ↔ bool
  Enable or disable the scanning progress visualization.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
progressColor ↔ ScanbotColor
  The color of the scanning progress.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited